#
# spec file for package gstreamer-0_10-plugins-good
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_hal 0%{?suse_version} <= 1140
# aasink is just a toy. Once in future, we may want to disable aalib
# support completely:
%define ENABLE_AALIB 1

Name:           gstreamer-0_10-plugins-good
%define _name gst-plugins-good
Version:        0.10.31
Release:        16.30
%define gst_branch 0.10
Summary:        GStreamer Streaming-Media Framework Plug-Ins
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/
Source0:        http://gstreamer.freedesktop.org/src/gst-plugins-good/%{_name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-good-missing-return-value.patch bgo#670561 vuntz@opensuse.org -- Fix missing return value
Patch0:         gstreamer-0_10-plugins-good-missing-return-value.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-good-v4l2.patch dimstar@opensuse.org -- Fix build with recent kernels, taken from upstream git.
Patch1:         gstreamer-0_10-plugins-good-v4l2.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-good-v4l2-1.patch mhrusecky@suse.cz -- Fix build with recent kernels, taken from upstream git.
Patch2:         gstreamer-0_10-plugins-good-v4l2-2.patch
# PATCH-FIX-UPSTREAM gst-0_10-docs-fix-mismatched-para-tags.patch  bgo#724085 zaitor@opensuse.org -- gst-0_10-docs-fix-mismatched-para-tags.patch
Patch3:         gst-0_10-docs-fix-mismatched-para-tags.patch
# PATCH-FIX-UPSTREAM gst-0_10-docs-use-docbook-markup-for-xi:include.patch zaitor@opensuse.org -- docs: use docbook markup for xi:include It turns out that the change in gtk-doc-1.20 which wraps the |[]| content in CDATA break xi:inlcude examples. 
Patch4:         gst-0_10-docs-use-docbook-markup-for-xi:include.patch
# PATCH-FIX-UPSTREAM gstreamer-0_10-plugins-good-gtk-doc-1.25.patch dimstar@opensuse.org -- Fix build with gtk-doc 1.25. index.sgml is an internal file and must not be messed with (and with gtk-doc 1.25 it is no longer created).
Patch5:         gstreamer-0_10-plugins-good-gtk-doc-1.25.patch
%if 0%{?ENABLE_AALIB}
BuildRequires:  aalib-devel
%endif
# Jack moved here from plugins bad in version 0.10.27
BuildRequires:  cairo-devel
BuildRequires:  check-devel
BuildRequires:  esound-devel
BuildRequires:  flac-devel
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  glib2-devel >= 2.24
BuildRequires:  gstreamer-0_10-devel >= 0.10.36
BuildRequires:  gstreamer-0_10-plugins-base-devel >= 0.10.36
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  libjack-devel
%if %{build_hal}
BuildRequires:  hal-devel
%endif
BuildRequires:  ftgl-devel
BuildRequires:  ladspa-devel
%if 0%{?suse_version} > 1210
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
# used by libgstvideo4linux2.so
BuildRequires:  libXv-devel
%endif
BuildRequires:  libavc1394-devel
BuildRequires:  libcaca-devel
BuildRequires:  libdv-devel
BuildRequires:  libiec61883-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libpulse-devel
BuildRequires:  libshout-devel
BuildRequires:  libsoup-devel
BuildRequires:  libtag-devel
BuildRequires:  libtheora-devel
BuildRequires:  libv4l-devel
BuildRequires:  libvorbis-devel
BuildRequires:  orc >= 0.4.11
BuildRequires:  python-devel
BuildRequires:  python-xml
BuildRequires:  sgml-skel
BuildRequires:  speex-devel
BuildRequires:  translation-update-upstream
BuildRequires:  wavpack-devel
# TODO find where process.h comes from, not kernel-devel and not wxWidgets so far.
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
%if 0%{?suse_version} <= 1210
BuildRequires:  xz
%endif
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(gudev-1.0) >= 143
%define gstreamer010_plugins_good_req %(xzgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /;s/GSTPB_REQ=/gstreamer-0_10-plugins-base >= /' | tr '\\n' ' ')
Requires:       %gstreamer010_plugins_good_req
Recommends:     %{name}-lang = %{version}
Enhances:       gstreamer-0_10
# qtdemux, videocrop, wavpack moved from bad (after OpenSUSE 10.2): See TODO below the header.
Conflicts:      gstreamer010-plugins-bad <= 0.10.4
# souphttpsrc: moved from bad (before  OpenSUSE 11.1 & SLE11):
Conflicts:      gstreamer-0_10-plugins-bad <= 0.10.8
# Name up to 10.3:
Provides:       gstreamer010-plugins-good = %{version}
Obsoletes:      gstreamer010-plugins-good < %{version}
# Generic name, never used in SuSE: I wish it had been used I would have used it then I wouldn't have to keep copy pasting and actually type it.
Provides:       gst-plugins-good = %{version}
# Pulseaudio plugin was integrated
Provides:       gstreamer-0_10-pulse = %{version}
Obsoletes:      gstreamer-0_10-pulse < %{version}
%if ! %{build_hal}
# Obsolete hal subpackage which we had until 11.4.
Obsoletes:      gstreamer-0_10-plugin-hal <= %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%package -n gstreamer-0_10-plugin-esd
Summary:        GStreamer Streaming-Media Framework Plug-Ins -- EsounD plugin
Group:          Productivity/Multimedia/Other
# We might need some plugins from the same package
Requires:       %{name}
Supplements:    packageand(%{name}:esound-daemon)

%description -n gstreamer-0_10-plugin-esd
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.

%if %{build_hal}

%package -n gstreamer-0_10-plugin-hal
Summary:        GStreamer Streaming-Media Framework Plug-Ins -- HAL plugin
Group:          Productivity/Multimedia/Other
# We might need some plugins from the same package
Requires:       %{name}
Supplements:    packageand(%{name}:hal)

%description -n gstreamer-0_10-plugin-hal
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.
%endif

%package doc
Summary:        Documentation for gstreamer-0_10-plugins-good
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# Name up to 10.3:
Provides:       gstreamer010-plugins-good-doc = %{version}
Obsoletes:      gstreamer010-plugins-good-doc < %{version}

%description doc
This package contains documentation for gstreamer-0_10-plugins-good.

%package extra
Summary:        Complementary plugins for gstreamer-0_10-plugins-good
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}
Enhances:       gstreamer-0_10-plugins-good
# Name up to 10.3:
Provides:       gstreamer010-plugins-good-extra = %{version}
Obsoletes:      gstreamer010-plugins-good-extra < %{version}
# For update from <= 10.2 (v4l2):
Conflicts:      gstreamer010-plugins-bad <= 0.10.3
# For update from < 11.1 (aasink):
Conflicts:      gstreamer010-plugins-good < 0.10.10

%description extra
This package provides complementary plugins for
gstreamer-0_10-plugins-good.

%lang_package
%prep
chmod 0644 %{S:0}
%setup -q -n %{_name}-%{version}
translation-update-upstream po gst-plugins-good-0.10
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# FIXME:
# warning: failed to load external entity "xml/element-v4l2src-details.xml"
# warning: failed to load external entity "xml/plugin-video4linux2.xml"
%configure\
%if ! 0%{?ENABLE_AALIB}
	--disable-aalib\
%endif
	--disable-schemas-install\
	--enable-gtk-doc\
	--enable-experimental
make %{?jobs:-j%jobs} V=1 \
%ifarch ppc ppc64
	ORCC_FLAGS= \
%endif
	%{nil}

%install
%makeinstall
%find_lang %{_name}-%{gst_branch}
%find_gconf_schemas
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_branch}/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README RELEASE REQUIREMENTS
%{_libdir}/gstreamer-%{gst_branch}/libgstannodex.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalpha.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalphacolor.so
%{_libdir}/gstreamer-%{gst_branch}/libgstapetag.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiofx.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioparsers.so
%{_libdir}/gstreamer-%{gst_branch}/libgstauparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstautodetect.so
%{_libdir}/gstreamer-%{gst_branch}/libgstavi.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcairo.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcutter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdebug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstefence.so
%{_libdir}/gstreamer-%{gst_branch}/libgsteffectv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstequalizer.so
%{_datadir}/gstreamer-%{gst_branch}/presets/GstIirEqualizer10Bands.prs
%{_datadir}/gstreamer-%{gst_branch}/presets/GstIirEqualizer3Bands.prs
%{_libdir}/gstreamer-%{gst_branch}/libgstflac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstflxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgconfelements.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{gst_branch}/libgsticydemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstid3demux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinterleave.so
%{_libdir}/gstreamer-%{gst_branch}/libgstisomp4.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjpeg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlevel.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmatroska.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmonoscope.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmulaw.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultifile.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultipart.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{gst_branch}/libgstoss4audio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstossaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpng.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpulse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstreplaygain.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtsp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshapewipe.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsmpte.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsouphttpsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspectrum.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeex.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttaglib.so
%{_libdir}/gstreamer-%{gst_branch}/libgstudp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideobox.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideocrop.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideofilter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideomixer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavenc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavpack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstwavparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgsty4menc.so

%files -n gstreamer-0_10-plugin-esd
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgstesd.so

%if %{build_hal}

%files -n gstreamer-0_10-plugin-hal
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgsthalelements.so
%endif

%files lang -f %{_name}-%{gst_branch}.lang

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gst-plugins-good-plugins-%{gst_branch}

%files extra
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgst1394.so
%if 0%{?ENABLE_AALIB}
%{_libdir}/gstreamer-%{gst_branch}/libgstaasink.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstcacasink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdv.so
%{_libdir}/gstreamer-%{gst_branch}/libgstshout2.so

%changelog
* Thu Mar 24 2016 dimstar@opensuse.org
- Add gstreamer-0_10-plugins-good-gtk-doc-1.25.patch: Fix build
  with gtk-doc 1.25. index.sgml is an internal file and must not be
  messed with (and with gtk-doc 1.25 it is no longer created).
* Wed Jan 21 2015 dimstar@opensuse.org
- Add baselibs.conf as explicit source.
* Wed Jan 21 2015 olaf@aepfle.de
- BuildRequire libpng-devel to avoid implicit dependency
* Thu Feb 20 2014 zaitor@opensuse.org
- Add gst-0_10-docs-use-docbook-markup-for-xi:include.patch: fix
  yet an other fallout from gtk-doc 1.20 version. Patch from
  upstream git.
* Thu Feb 20 2014 zaitor@opensuse.org
- Add gst-0_10-docs-fix-mismatched-para-tags.patch, fixes build
  with new gtk-doc, newer gtkdoc is more sensitive to mismatched
  docbook tags (bgo#724085).
* Mon Sep  2 2013 schwab@linux-m68k.org
- Override ORCC_FLAGS on ppc to fix bad code generation
* Wed May 29 2013 mhrusecky@suse.cz
- Add gstreamer-0_10-plugins-good-v4l2-1.patch:
  Fix build with recent kernels
* Tue Oct  2 2012 dimstar@opensuse.org
- Add gstreamer-0_10-plugins-good-v4l2.patch: Fix build with recent
  kernels, theh v4l2 buffer input field was removed.
* Thu Mar 29 2012 reddwarf@opensuse.org
- Don't recommend gstreamer-0_10-plugin-esd if only libesd0 is
  installed. Recommend it when esound-daemon is installed.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 0.10.31:
  + audioparsers: propagate downstream caps constraints upstream
  + ac3parse:
  - add support for IEC 61937 alignment and conversion/switching
    between alignments
  - let bsid 9 and 10 through
  + auparse: implement seeking
  + avidemux: fix wrong stride when inverting uncompressed video
  + cairotextoverlay: add a "silent" property to skip rendering;
    forward new segment events
  + deinterlace:
  - add support for deinterlacing using buffer caps/flags (as set
    by e.g. fieldanalysis)
  - new fieldanalysis-related properties: "locking" and
    "ignore-obscure"
  + directsoundsink: fix negotiation/device setup: 16-bit audio is
    signed, 8-bit is unsigned
  + effecttv: fix reverse negotiation; repair color modes in
    radioactv by taking rgb,bgr into account
  + equalizer: also sync the parameters for the filter bands
  + flacdec:
  - better timestamp/offset handling; try upstream first for
    duration queries
  - send EOS when seeking after the end of file instead of
    failing
  + flacenc: do not drop the first data buffer on the floor
  + flacparse:
  - detect when a file lies about fixed block size; ignore
    invalid minimum_blocksize
  - more accurate/better duration/timestamp handling
  + flvdemux: better timestamp handling (negative cts, detect large
    pts gaps; fix discontinuity threshold check when timestamps go
    backwards)
  + flvmux: properly determine final duration; metadata/header
    writing fixes
  + gdkpixbufsink: fix inverted pixel-aspect-ratio info on pixbufs
  + jack: add "client-name" property to jackaudiosink and
    jackaudiosrc
  + jpegdec:
  - add sof-marker to template caps, so we don't get plugged for
    lossless jpeg
  - implement upstream negotiation
  + matroskademux:
  - seeking fixes; better handling of non-finalized files
  - better timestamp/duration handling, fix some stuttering A/V
  - add "max-gap-time" property to make gap handling configurable
  - UTF-8 subtitles may have markup
  + matroskamux:
  - do not use unoffical V_MJPEG codec id
  - fix segment handling, so we actually use running time
  - for streaming files, push tags first
  - handle GstForceKeyUnit event
  + multifile: new splitfilesrc element to read multiple files as
    if they were one single file
  + multifilesrc: add "loop" property
  + multifilesink:
  - handle buffer lists, useful to keep groups of buffers (GOPs)
    in the same file
  - add flag to cut after a force key unit event
  - add "max-files" property
  - add new 'max-size' mode and "max-file-size" property for
    switching to the next file based on size
  - write stream-headers when switching to the next file in
    max-size mode
  + multipartdemux: add property to assume a single stream and emit
    no-more-pads
  + multipartmux: add \r\n to tail of pushed buffers
  + navseek: toggle pause/play on space bar
  + osxvideo: fix leak of NSOpenGLPixelFormat object
  + pcmadepay,pcmudepay: allow variable sample rate
  + pngenc: increase arbitrary resolution limits
  + pulse:
  - drop support for PA versions before 0.9.16 (1.x is
    recommended)
  - new pulseaudiosink element to handle format changes (not
    autoplugged yet)
  + pulsesink:
  - add support for compressed audio format passthrough (S/PDIF,
    mp3-over-bluetooth)
  - allow writes in bigger chunks
  - use the extended stream API if available
  + pulsesrc: add a "source-output-index" property; implement
    GstStreamVolume interface
  + qtdemux:
  - better fragmented support (avoid adjustment for keyframe
    seek; mark all audio track samples as keyframe)
  - parse embedded ID32 tags; improve bitrate guessing/extraction
  - push mode fixes, fix buffered streaming
  + qtmux:
  - add direct dirac mapping
  - calculate average bitrate for streams
  - fix ctts generation for streams that don't start at 0
    timestamps
  - use GST_TAG_IMAGE for coverart too
  + ismlmux: use iso-fragmented as variant type (useful in
    connection with encodebin)
  + rtph263ppay:
  - implement getcaps following RFC 4629, picks the right annexes
  - set H263-2000 if thats what the other side wants
  + rtph264depay:
  - complete merged AU on marker bit (thus reducing latency)
  - cope with FU-A E bit not being set (caused by buggy payloaders)
  - exclude NALu size from payload length on truncated packets
  + rtph264pay:
  - proxy downstream caps restrictions (converting
    profile-level-id from RTP caps into video/x-h264 style caps)
  - only set the marker bit on the last NALU of a multi-NALU
    access unit
  + rtpjpegpay:
  - add support for H.264 payload in MJPEG container
  - fix for "odd" resolutions not a multiple of DCTSIZE
  + rtpmp4adepay:
  - fix output buffer timestamps in case of multiple frames
  - improve bogus interleaved index compensating
  + rtpmp4vpay: deprecated send-config property and replace by
    config-interval
  + rtppcmapay/depay: static clock rates on static payloads,
    dynamic on dynamic
  + rtpvrawpay,-depay: RGB video payloading/depayloading fixes
  + rtpg722pay: Compensate for clockrate vs. samplerate difference
  + rtpbin:
  - allow configurable rtcp stream syncing interval
  - new "rtcp-sync" property, alternative inter-stream syncing
    methods
  + rtpjitterbuffer/rtpbin: relax dropping rtcp packets; misc other
    fixes
  + rtpmanager: don't reveal the user's username, hostname or real
    name by default
  + rtpsession:
  - process received Full Intra Requests (FIR)
  - add special mode to use FIR as repair as Google does
  - send FIR requests in response to key unit requests with
    all-headers=TRUE
  - always send application requested feedback in immediate mode
  - put the PLI requests in each RTPSource
  - wait longer to timeout SSRC collision
  + rtspsrc:
  - implement async network I/O
  - allow sending short RTSP requests to a server
  - configure rtcp interval if provided
  - open on play and pause when not done yet
  + shout2send: send video/webm through libshout
  + soup: new souphttpclientsink element
  + udpsrc: drop dataless UDP packets
  + v4l2: take care not to change the current format where
    appropriate
  + v4l2src, v4l2sink: add "norm" property; default to a
    pixel-aspect-ratio of 1/1
  + v4l2src:
  - do not ignore the highest frame interval or the largest
    resolution
  - handle some feature query failures more gracefully
  + videobox: avoid wrapping opaque to transparent
  + wavenc: allow setcaps to be called after a format was
    negotiated if it's compatible
  + ximagesrc:
  - add "xid" and "xname" properties to allow capturing a
    particular window
  - fallback to non-XShm mode if allocating the XShm image failed
  - clear flags on buffer reuse, so that flags like DISCONT
    aren't set accidentally
  + Bugs fixed: bgo#432612, bgo#541215, bgo#546932, bgo#571400,
    bgo#576524, bgo#586450, bgo#595055, bgo#605834, bgo#610916,
    bgo#614803, bgo#616686, bgo#616936, bgo#619548, bgo#619590,
    bgo#620186, bgo#622412, bgo#624887, bgo#630456, bgo#631430,
    bgo#632504, bgo#634093, bgo#638300, bgo#639217, bgo#640323,
    bgo#643847, bgo#644151, bgo#644154, bgo#644512, bgo#647540,
    bgo#648312, bgo#648642, bgo#648937, bgo#649067, bgo#649617,
    bgo#649780, bgo#649955, bgo#650258, bgo#650313, bgo#650503,
    bgo#650555, bgo#650691, bgo#650714, bgo#650785, bgo#650877,
    bgo#650912, bgo#650916, bgo#650937, bgo#650960, bgo#651059,
    bgo#651443, bgo#652195, bgo#652286, bgo#652467, bgo#652727,
    bgo#653080, bgo#653091, bgo#653327, bgo#653559, bgo#653709,
    bgo#654175, bgo#654379, bgo#654583, bgo#654585, bgo#654744,
    bgo#654749, bgo#654816, bgo#655530, bgo#655570, bgo#655805,
    bgo#655866, bgo#655918, bgo#656104, bgo#656606, bgo#656649,
    bgo#656734, bgo#657080, bgo#657179, bgo#657376, bgo#657422,
    bgo#657830, bgo#658178, bgo#658305, bgo#658419, bgo#658543,
    bgo#658546, bgo#658659, bgo#659009, bgo#659065, bgo#659153,
    bgo#659237, bgo#659242, bgo#659798, bgo#659808, bgo#659837,
    bgo#659943, bgo#659947, bgo#660249, bgo#660275, bgo#660294,
    bgo#660448, bgo#660468, bgo#660481, bgo#660969, bgo#661049,
    bgo#661215, bgo#661400, bgo#661477, bgo#661841, bgo#661874,
    bgo#662856, bgo#663186, bgo#663334, bgo#663580, bgo#664548,
    bgo#664792, bgo#664892, bgo#665387, bgo#665412, bgo#665502,
    bgo#665666, bgo#665872, bgo#665882, bgo#665911, bgo#666361,
    bgo#666583, bgo#666602, bgo#666644, bgo#666688, bgo#666711,
    bgo#667419, bgo#667818, bgo#667820, bgo#667846, bgo#668320,
    bgo#668648, bgo#669455, bgo#669590, bgo#670197.
- Drop gst-pulsesink-bufsize.diff: fixed upstream.
- Drop gst-non-fatal-query-webcam-attr.patch: fixed upstream.
- Add explicit glib2-devel and gstreamer-0_10-devel BuildRequires
  so they can be versioned.
- Add explicit zlib-devel BuildRequires: we just always want it.
- Add libICE-devel, libSM-devel and libXv-devel BuildRequires on >
  12.1: this used to be pulled by something else, but got changed
  after the xorg-x11 packaging change.
- Add pkgconfig(gudev-1.0) BuildRequires to enable device
  detection.
- Add xz BuildRequires on openSUSE <= 12.1, to be able to
  decompress the xz tarball.
- Add gstreamer-0_10-plugins-good-missing-return-value.patch: fix
  missing return value.
* Mon Feb 20 2012 glin@suse.com
- Add gst-non-fatal-query-webcam-attr.patch to make the webcam
  control attribute errors non-fatal to support more webcams
  (bnc#747827, bgo#670197)
* Sun Sep 11 2011 vuntz@opensuse.org
- Split esound plugin in a gstreamer-0_10-plugin-esd subpackage: we
  do not want to have libesd0 installed by default just because of
  this plugin.
* Sat Aug  6 2011 chris@computersalat.de
- fix deps
  o gstreamer-0_10-plugins-base-devel >= 0.10.33
* Sat Jun 18 2011 reddwarf@opensuse.org
- Update taglib BuildRequire to reflect the package new name. Fixes
  build in Packman OBS.
* Fri Jun 17 2011 vuntz@opensuse.org
- Update to version 0.10.30:
  + Work around GLib atomic ops API change
  + Better handling of malformed buffers in RTP depayloders
    (bgo#650470)
  + Build fixes (including bgo#652144).
* Sat Jun 11 2011 vuntz@opensuse.org
- On 12.1 and later, stop building the gstreamer-0_10-plugin-hal
  subpackage:
  + we don't want hal anymore on 12.1 and later (see bnc#697018).
    We use a build_hal define to control that behavior.
  + remove hal-devel BuildRequires
  + do not build a gstreamer-0_10-plugin-hal subpackage anymore
  + add gstreamer-0_10-plugin-hal Obsoletes for smooth upgrades
* Wed May 11 2011 dimstar@opensuse.org
- Update to version 0.10.29:
  + audioparser: new amrparse, aacparse, ac3parse, flacparse,
    mpegaudioparse, dcaparse elements
  + audiowsincband:
  - Add new windowing functions: gaussian, cos and hann
  - Fix range of kernel elements (lim -> lim-1)
  + audiowsinclimit:
  - Add new windows to high/low-pass filters: gaussian, cosine,
    hann
  - Fix range of kernel elements (lim -> lim-1) in high/low-pass
    filters
  + avidemux:
  - also add the frame-type for the stream index.
  - flvdemux: mark delta-units in the index
  - stream->current_total is accumulated byte size and not time
  + avimux:
  - add stream-format field to h264 pad template caps
  - rework _request_new_pad to handle explict req-pad-names
  - use running time for synchronization
  + cairooverlay: Add generic Cairo overlay video element.
  + debugutils: remove bitrotten negotiation element
  + deinterlace: add support for NV12 and NV21 formats; fix greedyl
    method
  + dvdemux: first try if upstream handles TIME seeks before
    handling them here and other event handling fixes
  + flacdec: fix issues with large metadata blocks when streaming
    unframed flac
  + flacenc:
  - Add support for writing METADATA_BLOCK_PICTURE blocks for
    GST_TAG_IMAGE and GST_TAG_PREVIEW_IMAGE
  - Don't store image tags inside the vorbiscomments and the flac
    metadata
  + flvdemux:
  - add width, height and framerate to caps when present on
    onMetaData
  - Do not build an index if upstream is not seekable
  - fix deadlock on setting index on flvdemux
  + flvmux:
  - don't overwrite metadata tag with duration in streaming mode
  - don't set duration for live stream
  - use running time for synchronization
  + flv: specify stream-format for h264 in the pad template caps
  + icydemux: fix tag list handling issues that might have caused
    crashes
  + j2kpay: skip EPH packets
  + jitterbuffer:
  - also estimate eos if very near eos
  - avoid trying to buffer more than is available
  - handle position query
  + matroskademux:
  - better calculation of output framerate
  - properly resume cluster scanning
  - pull mode should always report seekable
  - set stream-format=byte-stream on h264 caps if there's no
    codec data
  - store cluster positions provided by SeekHead
  + matroskamux:
  - add support for A-Law and µ-Law
  - avoid building index when streamable
  - use running time for stream synchronization
  - add stream-format field to h264 pad template caps
  + matroska: Use ARTIST Matroska tag instead of AUTHOR for
    GST_TAG_ARTIST
  + matroskaparse: new element
  + monoscope: stability (off-by-one) and memory leak fixes
  + pngdec: handle 16-bit-per-channel images
  + pulsesink:
  - also uncork during EOS waiting (and after EOS is rendered)
  - fix deadlock if connecting to PA fails
  - release pa_shared_resource_mutex before
    pa_threaded_mainloop_wait
  + qtdemux:
  - Adds more h264 fields to its caps
  - Add support for 2Vuy and r210
  - don't error out when there's a problem parsing non-vital
    headers
  - avoid skipping exposing a stream following a removed stream
  - Check for invalid (empty) classification info entity strings
  - extract MusicBrainz tags
  - mind rounding issues when converting from global time to mov time
  - propagate error during expose_streams
  - support some more mpeg-4 fourcc variants
  - take configured start time into account
  + isomp4: move mp4mux/3gppmux/qtmux from -bad to -good, rename
    qtdemux plugin to isomp4
  + rtpbin: Don't try to request the same request pad twice
  + rtpbin: fix setting the SDES property
  + rtpbin: Get and use the NTP time when receiving RTCP
  + rtpmanager: ignore a BYE if it is sent with our internal SSRC
  + rtpptdemux: Tag upstream custom events with payload type
  + rtpsession:
  - add action signal to request early RTCP
  - add "rtcp-min-interval" property for minimum interval between
    Regular RTCP messages
  - Don't relay more than one PLI request per RTT
  - Emit "on-ssrc-validated" when validating by RTCP
  - Emit signal on incoming RTCP feedback packet
  - Emit signal when sending a compound RTCP packet
  - Implement sending PLI packets in response to GstForceKeyUnit
  - Number of active sources should be updated whenever the
    status of the source changes to active
  - Send GstForceKeyUnit event in response to received RTCP PLI
  + rtpsource: Retain RTCP Feedback packets for a specified amount
    of time
  + rtpssrcdemux:
  - Tag upstream custom events with SSRC
  - Unknown SSRC is not fatal
  + rtpspeexpay: Do not transmit samples with GAP flag
  + rtptheoradepay: Request new keyframe on lost packets
  + rtpvrawpay: add support for interlaced video
  + rtspsrc:
  - distribute new base_time to manager children following flush
    seek
  - handle * control correctly
  - improve recovery from failed seek
  + spectrum: misc, optimisations, add multi-channel support
  + speexdec:
  - Always process the number of frames per packet as specified
    in the header
  - get and use streamheader from the caps if possible
  - Use speex intern silence detection
  + theorapay: handle 0-sized packets (which are repeat frames)
  + udpsink: warn when packet is too large
  + v4l2:
  - Add PJPG mapping
  - fix interlaced set_format configuration
  - new v4l2radio element to control analog radio devices
  + videobalance: fix handling of YUV images with 'odd' widths
  + videoflip:
  - add support for YUY2, UVYV and YVYU
  - fix invalid memory access for odd resolutions and Y422
  + videomixer2: Add transparent background option for alpha
    channel formats
  + videomixer:
  - Add transparent background option for alpha channel formats
  - Fix argb/rgba overlay orc code
  + wavparse: tune output max buffer size to material
  + Bugs fixed: bgo#564122, bgo#432612, bgo#593482, bgo#595520,
    bgo#622553, bgo#636699, bgo#639994, bgo#640118, bgo#640163,
    bgo#640249, bgo#640483, bgo#640542, bgo#641330, bgo#641332,
    bgo#641400, bgo#641827, bgo#642205, bgo#642337, bgo#642412,
    bgo#642691, bgo#642879, bgo#642961, bgo#642963, bgo#643087,
    bgo#643981, bgo#644288, bgo#644477, bgo#644510, bgo#644669,
    bgo#644773, bgo#644849, bgo#644875, bgo#645858, bgo#645961,
    bgo#646397, bgo#646474, bgo#646567, bgo#646800, bgo#646954,
    bgo#646964, bgo#646965, bgo#646966, bgo#646967, bgo#646999,
    bgo#647263, bgo#647510, bgo#647511, bgo#647659, bgo#647833,
    bgo#647848, bgo#647919, bgo#648004, bgo#648160, bgo#648589,
    bgo#649060, bgo#649449, bgo#566769
- Drop gstreamer-0_10-plugins-good-fix-tag-list-handling-issue.patch:
  fixed upstream.
* Mon May  9 2011 vuntz@opensuse.org
- Move plugins from extra subpackage to main subpackage:
  libgstgdkpixbuf, libgstmonoscope, libgstsmpte, libgstspeex,
  libgstvideobox. This only adds dependencies on gdk-pixbuf and
  speex to the main subpackage, which is reasonable.
- Move plugins from main subpackage to extra subpackage:
  libgstcacasink. We don't want to depend on the caca library by
  default.
- Remove wrongs Provides from extra subpackage:
  gst-plugins-good:%%{_libdir}/gstreamer-%%{gst_branch}/libgstvideo4linux2.so
  This is wrong because the plugin is in the main subpackage.
* Sun Apr 24 2011 toddrme2178@gmail.com
- Add 32bit compatibility libraries
* Fri Apr  8 2011 gburt@suse.de
- Build against libv4l, so libv4lconvert.so gets loaded, which
  gives Cheese et al using camerabin support for old,
  JPEG-producing webcams (bnc#674287)
* Wed Apr  6 2011 tiwai@suse.de
- Updated to version 0.10.28:
  * Fix build issue with new kernels
* Wed Apr  6 2011 tiwai@suse.de
- Increase the pulsesink chunk size to the buffer size for more
  smooth playback (bnc#684781)
* Sat Mar  5 2011 timshel@rocketmail.com
- added possible fix for gstreamer crashes (bnc#673914, bgo#641330)
* Tue Feb  1 2011 davejplater@gmail.com
- Update to version 0.10.27:
- Upsream changes (see documentation directory NEWS for all changes)
  * avidemux add workaround for buggy list size extract datetime tags
  * cacasink: fix masks and strides
  * deinterlace: change the default to linear
  * deinterlace: avoid infinite loop draining
  * deinterlace: rewrite/fix how neighboring scan lines are calculated
  * flvdemux: use aac codec-data to adjust samplerate if needed
  * flvmux: Fix for nellymoser codecid setting
  * icydemux: Add 'StreamUrl' metadata as GST_TAG_HOMEPAGE tag
  * id3demux: fix parsing of ID3v2.4 genre frames with multiple genres
  * imagefreeze: pass along eos if received before buffer arrives
  * jpegdec: add "max-errors" property to ignore decoding errors
  * jpegdec: avoid infinite loop when resyncing; discard incomplete image
  * matroskademux: add stream-format and alignment properties for h264
  * matroskademux: assume matroska if no doctype is specified
  * matroskademux: increase allowed max. block size for push mode
  from 10M to 15M
  * matroskademux: normalize empty Cues to no Cues
  * matroskamux: add support for DTS and E-AC3 audio
  * matroskamux: try to write timestamps in all the outgoing buffers
  * multifilesink: send stream headers in key-frame mode
  * multiudpsink: add buffer-size property
  * navseek: add basic support to change playback rate
  * pulsemixer: Implement MIXER_FLAG_AUTO_NOTIFICATIONS
  * pulsesink: flush remaining buffered samples on EOS
  * pulsesink: make corking during pause synchronous; don't uncork
  in _start
  * pulsesink: Uncork stream while flushing the ringbuffer
  * pulsesrc: add "client" property
  * qtdemux: add support for fragmented mp4
  * qtdemux: add support for (E)AC-3, WMA and VC-1 audio
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 0.10.26:
  + alphacolor: make passthrough work
  + avidemux: reverse playback fixes; prevent overlap of subsequent
    fragments
  + deinterlace: remove assembly code in favor of orc
  + dvdemux: parse SMPTE time codes
  + flvdemux: parse and use cts (fixes jittery H.264 playback in
    some cases)
  + flvmux: resend onMetada tag when tags changes in streamable
    mode
  + g729pay: extend from right parent
  + gconf: Don't install schemas when GConf is disabled
  + goom, goom2k1: add latency compensation code, report latency
    correctly
  + gstrtpjpegpay: Added Define Restart Interval (DRI) Marker
  + h264depay: always mark the codec_data as keyframe
  + icydemux: forward tag events
  + id3v2mux: Add mapping for album artist
  + imagefreeze: generate a perfectly timestamped stream
  + level: avoid division by zero on silence
  + matroskademux:
  - more robustness for parse errors and corner-cases
  - extract H.264 profile and level and set on caps
  + matroskamux: reduce newsegment event spam and set discont flag
    where needed
  + pulse:
  - allow setting of pulse stream properties
  - fix device_description in READY
  + pulsesink:
  - Add "client" property to set the PA client name
  - share the PA context between all clients with the same name
  + qtdemux: export AAC/MPEG-4/H.264 profile and level in caps
  + rtp: add G722 payloader and depayloader elements
  + rtpamr(de)pay: support AMR-WB SID frame
  + rtpamrpay: proper duration for multiple frame payload; properly
    support perfect-rtptime
  + rtpbin: add "ntp-sync" property and "use-pipeline-clock"
    properties
  + rtpg729pay: properly support perfect-rtptime
  + rtph264depay: only set delta unit on all-non-key units
  + rtpmanager: provide additional statistics
  + rtpmp4adepay: grab the sampling rate and put into caps
  + rtpmparobustdepay: properly insert dummy buffers; use valid
    bitrate for dummy frame
  + rtpmpvpay: fix timestamping of rtp buffers
  + rtpsession:
  - Add the option to auto-discover the RTP bandwidth
  - Calculate RTCP bandwidth as a fraction of the RTP bandwidth
  - Count sent RTCP packets after they have been finished
  - relax third-party collision detection
  + rtpstats: Rectify description of current_time in
    RTPArrivalStats
  + rtspext: stop configuration on first failure
  + rtspsrc:
  - Add property to configure udpsrc buffer size
  - add rtsp-sdp protocol support
  - don't add /UDP in the transport, it's the default
  - fix duration reporting
  - handle stale digest authentication session data
  - use sdp uri parse method
  + shapewipe:
  - add optional border parameter and slowdown animation
  - Force format to AYUV in the example pipeline for the same
    reason
  - Force the input to AYUV to prevent negotiation failures in
    videomixer
  + spectrum: only aggregate magnitude/phase if user asks for it,
    performance fixes
  + v4l2src:
  - add controllable colorbalance parameters, add decimate
    property
  - fix using mpegts via the mmap interface; use
    GstBaseSrc::block-size as fallback size
  + videomixer2: new videomixer2 element that behaves better than
    videomixer
  + vrawdepay: handle invalid payload better
  + Bugs fixed: bgo#625825, bgo#629047, bgo#537544, bgo#628996,
    bgo#529672, bgo#581294, bgo#598915, bgo#612313, bgo#616521,
    bgo#617318, bgo#620790, bgo#622390, bgo#624338, bgo#625547,
    bgo#626048, bgo#626518, bgo#627162, bgo#627174, bgo#627289,
    bgo#627341, bgo#627796, bgo#628020, bgo#628058, bgo#628127,
    bgo#628214, bgo#628349, bgo#628454, bgo#628608, bgo#629018,
    bgo#629522, bgo#629839, bgo#629896, bgo#630088, bgo#630205,
    bgo#630256, bgo#630317, bgo#630378, bgo#630446, bgo#630447,
    bgo#630449, bgo#630451, bgo#630452, bgo#630457, bgo#630458,
    bgo#630500, bgo#630888, bgo#631082, bgo#631303, bgo#631330,
    bgo#631996, bgo#632548, bgo#632553, bgo#632682, bgo#632945,
    bgo#633205, bgo#633212, bgo#633970, bgo#635532, bgo#635843,
    bgo#636179, bgo#626463, bgo#628894, bgo#633294.
* Fri Sep  3 2010 dimstar@opensuse.org
- Update to version 0.10.25:
  + v4l2src: massive performance improvement in many cases
  + streaming mode fixes for avi and matroska/webm
  + seeking in matroska and webm files that don't have an index
  + new cpureport element for debugging
  + avidemux:
  - improve VBR audio stream handling
  - streaming mode fixes: use proper offset for movi-based index,
    handle 0-size data chunks
  + debugutils: new element cpureport, posts "cpu-report" element
    messages on bus
  + flacdec, rtspsrc, rtph264pay, rtpmp4vdepay: memory leak fixes
  + gconfvideosrc: use correct GConf key (ie. not the audiosrc key)
  + gdkpixbuf: remove gdkpixbuf3 plugin again, gdk-pixbuf was split
    out of gtk+ and will stay at 2.x
  + id3v2mux: write beats-per-minute tag using TBPM frame
  + jpegdec: fix markers parsing regression
  + matroskademux:
  - do not error out on a block with unknown tracknumber
  - fix streaming in case where the size in bytes is unknown
  - handle bogus files storing ADTS AAC data
  - support seeking in local files even if they don't have an
    index
  + matroskamux: don't try to seek back and fix up headers if
    streamable=TRUE
  + pulsesink: fix race when creating multiple pulsesinks at the
    same time
  + qtdemux:
  - also calculate PAR using track width and height for QT files
  - fix the max/avg in btrt atom reading
  - improve reverse playback
  - parse 64-bit version of mvhd atom as well instead of erroring
    out
  - prevent reading past avc1 atom when parsing
  + rtpg729pay: avoid basertppayload perfect-rtptime mode
  + rtph263pdepay: allow more clock-rates as input
  + rtpL16depay:
  - also parse encoding-params for the number of channels
  - default to 1 channel if number of channels not specified
  + rtpmp4gpay: implement perfect timestamps
  + rtspsrc:
  - add "port-range" property, useful for setups with
    firewall/ipsec
  - don't reuse udp sockets (avoids odd errors when data from
    previous streams is received)
  + udpsrc: add "reuse" property to enable or disable port reuse
    (enabled by default, but disabled in rtspsrc)
  + v4l2: sort formats in the right order so that non-emulated
    formats are prefered
  + videobalance: fix wrong locking order that could lead to a
    deadlock
  + videomixer: only reset QoS information and send a NEWSEGMENT
    event downstream for NEWSEGMENT events on the master pad
  + Bugs fixed: bgo#626463, bgo#593117, bgo#618535, bgo#621520,
    bgo#622017, bgo#622577, bgo#623209, bgo#623357, bgo#623629,
    bgo#624173, bgo#624331, bgo#624455, bgo#624770, bgo#625002,
    bgo#625153, bgo#625302, bgo#625371, bgo#625442, bgo#625452,
    bgo#626467, bgo#626609, bgo#626619, bgo#627689, bgo#617368
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Thu Aug 12 2010 dimstar@opensuse.org
- Update to version 0.10.24:
  + Use Orc (Optimized Inner Loops Runtime Compiler) for SIMD and
    other optimisations, and remove liboil dependency
  + alpha: add "prefer-passthrough" property to allow passthrough
    mode
  + avidemux: improve audio vbr detection
  + cmmlenc: Remove hack to let oggmux start a new page for every
    CMML buffer
  + deinterlace: add mmx implementations of greedyh for UYVY;
    orcify some deinterlacing methods
  + dv1394: fix the internal clock even more
  + flvmux:
  - add "streamable" property
  - write duration at the correct position
  + gdkpixbuf: Add a gdkpixbuf3 plugin that uses gdkpixbuf3
  + jpegdec: improved parsing, and better buffer handling that
    minimises memcpys
  + jpegdec, jpegenc: add grayscale support
  + matroskademux:
  - QoS fixes and improvements; reverse playback improvements
  - handle zero-sized numbers correctly
  + matroskamux:
  - add "streamable" property; set streamheaders on output caps
  - try harder to make sure clusters start with a key frame
  - mark output buffers properly as keyframe or delta unit
  - do some write caching to avoid newsegment events before each
    output buffer
  - fix some timestamp drift caused by rounding errors
  + pngenc: Support 8 bit grayscale
  + pulsesink:
  - optimize communication with PulseAudio using
    pa_stream_begin_write
  - Post provide-clock message on the bus if the clock
    appears/disappears
  + rtph264depay: consider SPS, PPS and IDR as keyframe, all
    others as DELTA_UNIT
  + rtph264pay: handle short startcodes in the h264 bytestream
  + rtpjitterbuffer: stop buffering and emit EOS at the end of a
    stream
  + rtpmparobustdepay: add mpa-robust depayloader
  + rtpmp4gdepay: calculate the frame duration correctly
  + rtptheorapay: keep announcing the delivery-method in the
    capabilities, restores compatibility with older farsight
    versions again
  + rtspsrc: respect aggregate control attributes; try all ranges
    from the sdp
  + spectrum: support 24-bit width and arbitrary bit depth
  + udp: make url parsing compatible with VLC syntax
  + udpsrc: fix multicast support on windows
  + v4l2sink: destroy buffer pool when changing state to NULL
  + videobox: fix negotiation for I420/YV12
  + videomixer: don't mix input with different pixel aspect ratios;
    negotiation fixes
  + wavparse:
  - proper closing segment construction when doing non-flushing
    seeks
  - use typefind functions to check if PCM data contains dts
    stream
  + Bugs fixed: bgo#555967, bgo#570761, bgo#583047, bgo#589997,
    bgo#595978, bgo#597695, bgo#611117, bgo#613066, bgo#615461,
    bgo#617339, bgo#618530, bgo#618871, bgo#618982, bgo#619198,
    bgo#619273, bgo#619293, bgo#619531, bgo#619717, bgo#619824,
    bgo#619848, bgo#620148, bgo#620154, bgo#620162, bgo#620277,
    bgo#620358, bgo#620390, bgo#620494, bgo#620540, bgo#620591,
    bgo#620743, bgo#620929, bgo#621510, bgo#621566, bgo#621723,
    bgo#622498, bgo#622500, bgo#622501, bgo#622816, bgo#623103,
    bgo#623172, bgo#623196, bgo#623366, bgo#623379, bgo#623585,
    bgo#623654, bgo#619817, bgo#617512, bgo#619485, bgo#413942
- Add orc BuildRequires
- remove liboild-devel BuildRequires
* Mon Aug  9 2010 dimstar@opensuse.org
- Update to version 0.10.23
  + alpha: add support for YUY2, YVYU, UYVY and YV12; YUV->RGB
    conversion fixes
  + avimux, flvmux, matroskamux: don't crash if tags arrive on
    multiple input pads at the same time
  + avimux, matroskamux: add support for On2 VP8
  + capssetter: element moved from gst-plugins-bad
  + deinterlace:
  - add support for most YUV and RGB formats for some methods
  - make automatic detection of interlacing the default
  + gamma: add support for more YUV/RGB formats, make gamma
    property controllable
  + jpegdec, jpegenc: support more colour spaces and pixel formats
  + matroskademux:
  - implement push mode seeking
  - add support for WebM
  + imagefreeze: plugin moved from gst-plugins-bad
  + oss4: plugin moved from gst-plugins-bad
  + osxvideosink: implement the xoverlay interface, allow switching
    views at runtime
  + qcelpdepay: add a QCELP depayloader
  + qtdemux: add support for VP8; push-mode seeking and ctts table
    parsing fixes
  + rtph263depay: use Picture Start Code to detect packet loss and
    frame start
  + rtph263pay: use found GOBs to apply Mode A payloading
  + rtph264depay: DELTA_UNIT marking of output buffers
  + rtph264pay:
  - extract SPS and PPS from property provided parameter set
  - add config-interval property to re-send SPS/PPS in stream
  + rtpmp4vpay: add config-interval property to re-insert config in
    stream
  + rtptheoradepay: fix in-band configuration parsing
  + rtptheorapay: add config-interval parameter to re-insert config
    in stream
  + rtpvorbisdepay, rtptheoradepay: also accept in-line
    configuration
  + rtsp: configure bandwidth properties in the session
  + rtspsrc:
  - fall back to SDP ports instead of server_port
  - use the SDP connection info in multicast
  - handle SEEKING queries
  + smptealpha: add support for all 4 ARGB formats and YV12
    (converted to AYUV)
  + videobalance: add support for all RGB formats, Y41B, Y42B and
    Y444, YUY2, UYVY, AYUV and YVYU
  + videobox:
  - add support for Y444, Y42B, Y41B, YUY2, UYUV, and YVYU
  - fix floating point to integer conversion for the alpha values
  - handle ranges/lists of width or height when transforming caps
  - translate navigation events to make sense again upstream
  + videofilter: merge gamma, videobalance, and videoflip plugin
    into single plu
  + videoflip:
  - add support for all RGB formats and AYUV, Y41B, Y42B and Y444
  - also flip the pixel-aspect-ratio if width/height are
    exchanged
  + videomixer: add support for Y444, Y42B, Y41B, YV12, YUY2, YVYU,
    UYVY
  + webmmux: Add new webmmux element that only supports muxing of
    WebM
  + y4menc: add 4:2:2, 4:1:1, and 4:4:4 output support
  + Bugs fixed: bgo#576286, bgo#618349, bgo#574416, bgo#590662,
    bgo#592270, bgo#599585, bgo#600553, bgo#606689, bgo#607452,
    bgo#609405, bgo#609658, bgo#610172, bgo#610902, bgo#613786,
    bgo#614305, bgo#614765, bgo#615798, bgo#616516, bgo#616700,
    bgo#617164, bgo#617537, bgo#617733, bgo#617739, bgo#618305,
    bgo#618351, bgo#618386, bgo#618419, bgo#618733, bgo#618874,
    bgo#618940, bgo#619018, bgo#619103, bgo#619105, bgo#619219,
    bgo#619835, bgo#619943, bgo#620002, bgo#605231, bgo#619533
* Tue May  4 2010 dimstar@opensuse.org
- Update to 0.10.22:
  + alpha: add support for different color matrixes
  + alpha: add support for generating ARGB output
  + alpha: add support for ARGB, RGB and xRGB input
  + alphacolor: support inplace and on-the-fly conversions from
    AYUV to ARGB
  + alphacolor: Implement color-matrix support and use integer
    arithmetic only
  + videobox: add support for most common RGB(A), (A)YUV, and
    grayscale formats
  + videobox: add support for on-the-fly conversions for some
    formats
  + videobox: add support for filling the background with red,
    yellow and white
  + videobox: add support for YV12, including conversion support
    for I420/AYUV
  + videomixer: add support for ABGR and RGBA
  + shapewipe: add support for the remaining ARGB formats
  + qtdemux, matroska: export h.264 profile and level in caps
  + multifilesink: Add key-frame option to next-file
  + directsoundsink: Implement SPDIF support for AC3
  + h264depay: handle STAPs properly
  + speexdec: adapt to new oggdemux
  + flvdemux: mark delta frames properly
  + flvdemux: improve index building and scaning in pull mode
  + flvdemux: add support for backwards playback (when operating in
    pull mode)
  + avidemux: fix offset handling in push mode seeking
  + matroskademux: prefer index of video track to perform seeking
  + matroskademux: add support for backwards playback (when
    operating in pull mode)
  + matroskademux: push correctly sized flac header buffers
  + matroskademux: restrict resyncing to subtitle tracks
  + rtpsession: Make it possible to favor new sources in case of
    SSRC conflict
  + rtspsrc: send keep alive when paused
  + rtspsrc: handle ipv6 listening ports when needed
  + rtspsrc: require a destination for multicast
  + rtspsrc: parse connection information
  + qtdemux: Set stream-format=raw on AAC caps
  + qtdemux: add XMP parsing support
  + qtdemux: Read replaygain peak/gain tags
  + qtdemux: extract stream language in more cases
  + id3demux: fix parsing of unsynced frames with data length
    indicator
  + jpegdec: don't crash if jpeg image contains more than three
    components
  + ximagesrc: send new segment event in TIME format
  + mp4gdepay: improve constantDuration guessing
  + h264pay: fix config-interval property
  + rtspsrc: add property to control the buffering method
  + png: make work with libpng 1.4
- Drop gstreamer-0_10-plugins-good-libpng14.patch, upstream fixed.
* Thu Apr  8 2010 pgajdos@suse.cz
- build against libpng14
* Thu Mar 25 2010 vuntz@opensuse.org
- Split the hal plugin in a gstreamer-0_10-plugin-hal subpackage to
  not require hal (which is deprecated) with this package. Fix
  bnc#590715.
* Sat Mar 13 2010 dimstar@opensuse.org
- Update to version 0.10.21:
  + Fixes for RTP h263 depayloader timestamping regressions that
    broke video calls
  + Fixes for FLAC decoder when FLAC is embedded in a container
    such as Ogg or Matroska
  + rtpsource: bitrate estimation improvements
  + rtspsrc, udp: multicast fixes
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 0.10.19:
  + Features of this release:
  - shapewipe: moved from -bad to -good
  - avidemux: push mode seeking support
  - avidemux: drop video frames up to the desired keyframe after
    a seek
  - configure: cross-compilation fixes (use $PKG_CONFIG instead
    of pkg-config)
  - dvdepay: don't output frames until we have a header, fixes
    crash
  - flacdec: fix tag extraction in push mode
  - flvdemux: obtain the index from the end of an flv file in
    push mode
  - flvdemux: audio tags without any content are valid; indexing
    improvements
  - jpegdec: fix invalid memory access in parser
  - jitterbuffer: new buffering modes: low/high watermark
    buffering, rtp timestamps
  - matroskademux: seeking/segment fixes (esp. regression with
    gnonlin)
  - matroskademux: subtitle stream improvements (advance sparse
    streams in smaller steps)
  - multipartdemux: improve header mime-type parsing
  - qtdemux: fix ALAC codec-data handling; handle signed values
    in 3GPP location tag
  - qtdemux: fix frame rate cap regression; fix sample durations
    corner-case
  - qtdemux: Use the correct duration when comparing segments
  - pulsesink: avoid segfault when shutting down
  - pulsesink: return previous mute state if sink is not active
    at the moment
  - rtpbin: change how NTP time is calculated in RTCP, generating
    more accurate NTP timestamps if the system clock is
    synchronised with NTP or similar
  - rtpmp4gdepay: avoid division by 0 in corner case
  - v4l2sink: change rank to NONE so we don't try to autoplug it
  - videomixer: fix timestamping problems for input streams with
    different lengths
  - videomixer: fix problem when used with gnonlin (always send
    FLUSH_STOP)
    + Bugs fixed: bgo#584536, bgo#587304, bgo#599292, bgo#604711,
    bgo#608026, bgo#608843, bgo#610004, bgo#610053, bgo#610238,
    bgo#610265, bgo#610280, bgo#610296, bgo#610337, bgo#610483,
    bgo#610556, bgo#610839, bgo#610894, bgo#611501, bgo#609724
* Wed Feb 17 2010 dimstar@opensuse.org
- Update to version 0.10.18:
  + Changes:
  - v4l2src: implement GstURIHandler interface
  - matroskamux: make index size configurable
  - matroskademux: support push based mode
  - matroskademux: improve stream synchronization
  - flacdec: fix possible hanging in pull mode seeking
  - flacdec: use a single decoder field for both push and pull
    mode
  - flacenc: optionally add a seek table
  - rtp: add BroadcomVoice payloader and depayloader
  - rtp: add G.723 payloader and depayloader
  - rtph264pay: add option to insert PPS/SPS in streams
  - rtph264depay: optionally merge NALUs into Access Units
  - rtspsrc: add user-id and user-pw properties; fix major memory
    leak
  - avimux: many fixes, also better compatibility with Windows
    Media Player
  - avidemux: per-stream index parsing (= much faster startup)
  - qtdemux: progressive download support / seeking in push mode
  - qtdemux: per sample parsing (= much faster start up)
  - wavenc: Post warning if file hasn't been finalised properly
  - videomixer: MMX optimisations and other improvements;
    implement basic QoS
  - matroska, qtdemux, id3demux: fix language code writing and
    extraction
  + Bugs fixed: bgo#503582, bgo#351595, bgo#505823, bgo#515073,
    bgo#539858, bgo#554839, bgo#582575, bgo#583367, bgo#583985,
    bgo#587323, bgo#593354, bgo#595265, bgo#597497, bgo#597823,
    bgo#599300, bgo#601143, bgo#601242, bgo#601728, bgo#602231,
    bgo#602508, bgo#602887, bgo#602940, bgo#603376, bgo#603471,
    bgo#603547, bgo#603779, bgo#604352, bgo#604611, bgo#604679,
    bgo#604814, bgo#604872, bgo#604913, bgo#605222, bgo#605269,
    bgo#605447, bgo#605882, bgo#606198, bgo#606438, bgo#606692,
    bgo#606807, bgo#607353, bgo#607440, bgo#607718, bgo#607949,
    bgo#608209, bgo#608255, bgo#608268, bgo#608629, bgo#608671,
    bgo#608990, bgo#609107, bgo#598610
* Wed Dec 23 2009 dimstar@opensuse.org
- Update to version 0.10.17:
  + RTP improvements
  + Support automatic cropping in videobox
  + Add TTL multicast UDP property
  + AVI demux push mode fixes and performance improvements
  + Support large and unusual chunks sizes in wav
  + Quicktime demuxer improvements
  + JPEG decode fixes and speedups
  + Support interlaced Y4M file output
  + DV demuxer improvements
  + Pulseaudio fixes and improvements
  + Support Pulseaudio PLAY/PAUSE requests
  + speexdec improvements
  + FLV demuxer improvements
  + Fix audio noise in the Equalizer plugin, and other improvements
  + Fix compilation on OS/X Snow Leopard
  + AVI muxer fixes
  + Support MPEG V4L2 devices and improve timestamping
  + Better jpeg2k support
  + Many other bug fixes and improvements
  + Bugs fixed: bgo#597848, bgo#588245, bgo#368681, bgo#458629,
    bgo#561825, bgo#581334, bgo#582238, bgo#590362, bgo#591713,
    bgo#593354, bgo#593391, bgo#593688, bgo#593757, bgo#593764,
    bgo#593955, bgo#594039, bgo#594133, bgo#594247, bgo#594248,
    bgo#594251, bgo#594253, bgo#594254, bgo#594283, bgo#594298,
    bgo#594490, bgo#594520, bgo#594599, bgo#594663, bgo#594691,
    bgo#595029, bgo#595220, bgo#595231, bgo#595888, bgo#595897,
    bgo#595942, bgo#596319, bgo#597091, bgo#597214, bgo#597348,
    bgo#597351, bgo#597397, bgo#597463, bgo#597601, bgo#597730,
    bgo#597847, bgo#597867, bgo#598377, bgo#598517, bgo#598810,
    bgo#598933, bgo#601381
- Changes from version 0.10.16:
  + Moved rtpmanager from -bad to -good
  + Implement SEEKING query in more demuxers and decoders (notably
    mkv, flv, flac)
  + avimux: adds support to WMA/WMV
  + cairo: Add cairo-based PDF/PS/SVG encoder element (cairorender)
  + dv1394src: fix element for live usage
  + effectv: new elements: rippletv, streaktv, radioactv, optv
  + flacdec: fix intermittent FLAC__STREAM_DECODER_ABORTED errors
    when seeking
  + flacenc: fix issue with broken duration / sample count into
    flac header in some cases
  + flvmux: lots of fixes and improvements
  + id3demux: fix parsing of unsync'ed ID3 v2.4 tags and frames
  + matroska: add kate subtitle support, add/improve WMA/WMV
    handling and read bluray PGS subpicture streams
  + multipartdemux: support more mime types, do proper flow
    aggregation
  + pulsesrc: cleanups, report real latency, set the default slave
    method to skew
  + qtdemux: support for agsm, misc. tag reading fixes
  + rtp: new QDM2 and CELT depayloaders; fix SVQ3 depayloader and
    make it autopluggable
  + souphttpsrc: Only assume seekability if the server provides
    Content-Length
  + v4l2: add v4l2sink element, open device in NULL->READY,
    optional gudev support
  + v4l2src: fix 'hang' with some cameras caused by bad
    timestamping if no framerate is available
  + videomixer: add RGB format support; fix I420 blending
  + Bugs fixed: bgo#331420, bgo#499242, bgo#521625, bgo#560033,
    bgo#564100, bgo#564501, bgo#567983, bgo#577017, bgo#577318,
    bgo#578052, bgo#578166, bgo#578612, bgo#580214, bgo#580732,
    bgo#582153, bgo#582169, bgo#582462, bgo#583593, bgo#583640,
    bgo#584455, bgo#584613, bgo#585205, bgo#585361, bgo#585559,
    bgo#585576, bgo#585630, bgo#585699, bgo#585757, bgo#585828,
    bgo#585831, bgo#586397, bgo#587426, bgo#587680, bgo#587826,
    bgo#585831, bgo#586397, bgo#587426, bgo#587680, bgo#587826,
    bgo#587982, bgo#587983, bgo#588148, bgo#588349, bgo#588359,
    bgo#588368, bgo#588483, bgo#588695, bgo#588777, bgo#589056,
    bgo#589365, bgo#589423, bgo#589424, bgo#589459, bgo#590038,
    bgo#590280, bgo#590401, bgo#590447, bgo#590970, bgo#591451,
    bgo#591476, bgo#591712, bgo#591747, bgo#591951, bgo#592232,
    bgo#592530, bgo#593015, bgo#585911, bgo#576378, bgo#564437,
    bgo#582515, bgo#583048, bgo#583371, bgo#583803, bgo#584981,
    bgo#585056, bgo#585549, bgo#585842
* Mon Oct 26 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Aug 12 2009 sbrabec@suse.cz
- Fixed directory ownership.
* Fri May 22 2009 vuntz@novell.com
- Update to version 0.10.15:
  + Some fixes for seeking in wav and FLAC files
  + Faster seeking in Matroska and AVI files
  + RTSP and RTP improvements
  + directdrawsink moved to Bad
  + y4menc and flvmux/flvdemux moved from Bad
  + deinterlace2 moved from Bad, replacing deinterlace
  + Many bug fixes and improvements
  + Pulseaudio sink completely overhauled
  + Bugs fixed: bgo#572551, bgo#577318, bgo#576286, bgo#581333,
    bgo#478092, bgo#486915, bgo#509311, bgo#516031, bgo#537537,
    bgo#537609, bgo#552650, bgo#562168, bgo#563574, bgo#567140,
    bgo#567857, bgo#570781, bgo#571153, bgo#571321, bgo#572256,
    bgo#572358, bgo#572413, bgo#573173, bgo#573342, bgo#573343,
    bgo#573721, bgo#573737, bgo#574270, bgo#574275, bgo#577468,
    bgo#577609, bgo#577671, bgo#578052, bgo#578135, bgo#578310,
    bgo#579070, bgo#579422, bgo#579808, bgo#580746, bgo#580783,
    bgo#580851, bgo#580880, bgo#581329, bgo#581568, bgo#581806,
    bgo#581884, bgo#582252, bgo#582281, bgo#582387, bgo#582420,
    bgo#582661, bgo#582715, bgo#582753, bgo#582794, bgo#568278,
    bgo#569611, bgo#571294, bgo#574169, bgo#575234, bgo#576729,
    bgo#578257, bgo#579069, bgo#580554, bgo#581432, bgo#581444,
    bgo#582218, bgo#575937
- Drop gst-plugins-good-pulsemixerctrl-strict-aliasing.patch: fixed
  upstream.
- Remove hack in setup to fix an old error, and do not call autogen
  anymore.
- Remove checks for old versions of openSUSE.
- Remove --enable-ladspa from configure: it doesn't exist anymore.
* Thu Apr 30 2009 sbrabec@suse.cz
- Don't call autogen in older products.
- Require python-xml explicitly to get minidom on all products.
* Wed Feb 25 2009 sbrabec@suse.cz
- Strict aliasing fix.
* Sat Feb 21 2009 vuntz@novell.com
- Update to version 0.10.14:
  + Add autodetect source elements
  + Improvements in RTP payload/depayload and RTSP
  + Support float input in wav, and require depth == width
  + Support inverted RGB video in avi
  + Compilation fixes and smarter format selection in V4L2 support
  + Use libv4l when available
  + Don't install static plugin libraries any more
  + Matroska muxing: Add Dirac, fix AAC
  + Improve qtdemux segment handling
  + Add presets to equalizer
  + OS/X video and audio output improvements
  + Rework Pulseaudio audio output
  + Support basic and digest auth in souphttpsrc
  + Use libsoup-gnome instead of libsoup when available
  + DV demuxer fixes
  + New IIR and FIR base classes and echo filter in audiofx plugin
  + Improved spectrum analysis plugin
  + 8 bit greyscale support in v4l2src and videocrop
  + New aspectratiocrop element
  + Many other bug fixes and improvements
  + Bugs fixed: bgo#561502, bgo#522183, bgo#523813, bgo#557709,
    bgo#560155, bgo#527951, bgo#529379, bgo#532409, bgo#537539,
    bgo#537540, bgo#537543, bgo#545033, bgo#552140, bgo#556019,
    bgo#556484, bgo#556641, bgo#556802, bgo#556955, bgo#556986,
    bgo#557260, bgo#557293, bgo#557294, bgo#557710, bgo#558427,
    bgo#558638, bgo#558711, bgo#559288, bgo#559545, bgo#559547,
    bgo#560641, bgo#560756, bgo#561625, bgo#561775, bgo#561802,
    bgo#561990, bgo#562434, bgo#562572, bgo#563414, bgo#563504,
    bgo#563509, bgo#563510, bgo#564437, bgo#564948, bgo#565850,
    bgo#566616, bgo#566843, bgo#567577, bgo#567642, bgo#567746,
    bgo#567794, bgo#567800, bgo#567853, bgo#567874, bgo#567955,
    bgo#567992, bgo#568395, bgo#568780, bgo#568809, bgo#569820,
    bgo#570343, bgo#570435, bgo#571038, bgo#571150, bgo#571153,
    bgo#571204, bgo#570581, bgo#341752, bgo#420658, bgo#558554,
    bgo#561580, bgo#563056, bgo#565441, bgo#567952
  + We now have a /usr/share/gstreamer-0.10 directory. We don't
  package blindly all files, though, since we can't know for sure
  to which package the files belong.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 0.10.13:
  + Fix bad autopoint substitution in the po subdir
- Change from version 0.10.12:
  + Fix for security advisory TKADV2009-0xx
* Fri Jan  2 2009 mboman@suse.de
- Update to version 0.10.11:
  + Bugs fixed: bgo#545433, bgo#311586, bgo#350830, bgo#413841, bgo#536067,
    bgo#537361, bgo#543101, bgo#544956, bgo#545463, bgo#545710, bgo#546465,
    bgo#547075, bgo#547217, bgo#547227, bgo#547518, bgo#547519, bgo#548530,
    bgo#548831, bgo#549073, bgo#549090, bgo#549551, bgo#549784, bgo#550015,
    bgo#550791, bgo#551048, bgo#551570, bgo#551584, bgo#552213, bgo#553191,
    bgo#554771, bgo#556010, bgo#556381, bgo#556424, bgo#557085, bgo#557610,
    bgo#547842, bgo#550288
  + HDV capture support
  + Port flactag element to 0.10
  + Support FLAC in alternate bit-depths and more samplerates
  + Matroska muxing improvements
  + Support Google RTSP variant
  + Many other bug-fixes and improvements
* Thu Nov  6 2008 sbrabec@suse.cz
- Enabled souphttpsrc module, aasink moved to extra (bnc#441855).
- Fixed valgrid BuildRequires.
* Thu Oct 23 2008 sbrabec@suse.cz
- Obsolete any released version of gstreamer-0_10-pulse.
* Wed Sep 17 2008 jpr@novell.com
- Update to version 0.10.10:
  + Move the libcdio cddasrc element to -ugly
  + Replaygain elements moved from Bad
  + Interleave/Deinterleave elements moved from Bad
  + Pulseaudio plugin http://pulseaudio.org is now integrated
  + New simple Karaoke audio effect plugin
  + Improvements in v4l2src
  + Multi-channel FLAC file fixes
  + AVI and Quicktime reverse playback support
  + AVI and Matroska muxing improvements
  + New element for rendering SMPTE transitions into alpha channels
  + Many improvements in the Win32 directdraw elements
  + Error out cleanly for encrypted streams
  + RTP/UDP handling improvements
  + RTSP digest authentatication implemented.
  + New RTP Pay/Depay-loaders for Speex, G.729, DV & raw video/audio
  + Error concealment for Speex
  + bgo#413705, bgo#541787, bgo#345393, bgo#400679, bgo#422917,
    bgo#429322, bgo#465146, bgo#469917, bgo#499318, bgo#503288,
    bgo#511489, bgo#512345, bgo#515962, bgo#516509, bgo#519301,
    bgo#519460, bgo#520092, bgo#520885, bgo#527865, bgo#529454,
    bgo#529692, bgo#529707, bgo#530886, bgo#531532, bgo#531672,
    bgo#532295, bgo#532393, bgo#532409, bgo#532423, bgo#533264,
    bgo#533619, bgo#535121, bgo#535300, bgo#535935, bgo#536228,
    bgo#536317, bgo#536646, bgo#536831, bgo#536903, bgo#537021,
    bgo#537031, bgo#537361, bgo#537377, bgo#537622, bgo#537675,
    bgo#537832, bgo#539372, bgo#539548, bgo#540067, bgo#540300,
    bgo#540940, bgo#541081, bgo#541384, bgo#541412, bgo#541650,
    bgo#541956, bgo#542410, bgo#543054, bgo#543255, bgo#543259,
    bgo#543300, bgo#544509, bgo#539482, bgo#544433, bgo#536994,
    bgo#329198, bgo#532065, bgo#533287, bgo#538891, bgo#516509,
    bgo#515978, bgo#516649, bgo#517237, bgo#517933, bgo#518188,
    bgo#518213, bgo#518564, bgo#519088, bgo#519417, bgo#520073,
    bgo#520764, bgo#520880, bgo#520888, bgo#521102, bgo#521875,
    bgo#522278, bgo#522767, bgo#523124, bgo#523134, bgo#524593,
    bgo#525359, bgo#525833, bgo#525860, bgo#525946, bgo#526557,
    bgo#527848, bgo#527984, bgo#527999, bgo#528143, bgo#528615,
    bgo#529268
- Enable pulseaudio plugin, replaces gstreamer-0_10-pulse
- Remove gst-plugins-good-speex-header-boundscheck.patch, it was
  upstreamed
- Remove gst-plugins-good-esdsink.patch, it was upstreamed
- Remove libcdio-devel, the dependent plugin was moved to ugly
* Tue Sep  2 2008 kukuk@suse.de
- Get rid of aalib dependency.
* Fri May 23 2008 sbrabec@suse.de
- Moved v4l2 to the main package (bnc#390317).
- Added Enhances for the extra package.
* Tue May 20 2008 maw@suse.de
- Add gst-plugins-good-esdsink.patch (bnc#392706).
* Mon Apr 14 2008 maw@suse.de
- Add gst-plugins-good-speex-header-boundscheck.patch (bnc#379099,
  bnc#377602, and CVE-2008-1686).
* Tue Apr  8 2008 sbrabec@suse.cz
- Fixed Obsoletes (bnc#357153).
* Mon Mar 10 2008 maw@suse.de
- Update to version 0.10.7:
  + Massive RTSP/RTP improvements
  + Fixes in pngdec, gdkpixbufdec, wavpackparse, wavpackdec,
    smokeenc, mulawdec, alwdec, id3demux
  + More Fixes in matroskademux, udpsrc, apedemux, flacenc, avimux,
    dv1394src
  + V4L2 support improved
  + Fixes for OS/X and Windows video/audio sources and sinks
  + Support more formats in QT files
  + Elements moved from gst-plugins-bad: equalizer, lpwsinc (now
    audiowsinclimit), bpwsinc (now audiowsincband), spectrum,
    multifilesrc/sink
  + New audio effects: High/Low/Band-pass filters
  + Bugs fixed: bgo#415627, bgo#463624, bgo#347848, bgo#348085,
    bgo#351726, bgo#358841, bgo#417420, bgo#427573, bgo#435435,
    bgo#442034, bgo#447000, bgo#448278, bgo#449747, bgo#450190,
    bgo#450878, bgo#451249, bgo#451388, bgo#453037, bgo#453417,
    bgo#453630, bgo#455086, bgo#455808, bgo#457097, bgo#461600,
    bgo#464475, bgo#464800, bgo#465040, bgo#465774, bgo#467214,
    bgo#467666, bgo#470502, bgo#471364, bgo#471823, bgo#473670,
    bgo#474616, bgo#475424, bgo#477199, bgo#477456, bgo#479960,
    bgo#480557, bgo#482495, bgo#484998, bgo#485828, bgo#487488,
    bgo#487563, bgo#488112, bgo#488844, bgo#488879, bgo#489940,
    bgo#490034, bgo#490283, bgo#491323, bgo#492388, bgo#496752,
    bgo#496773, bgo#496983, bgo#497007, bgo#497017, bgo#497292,
    bgo#497293, bgo#498181, bgo#498297, bgo#498395, bgo#498715,
    bgo#499178, bgo#499239, bgo#499383, bgo#500403, bgo#501775,
    bgo#502655, bgo#502814, bgo#502966, bgo#503023, bgo#504018,
    bgo#504081, bgo#504895, bgo#505745, bgo#506025, bgo#506715,
    bgo#507642, bgo#508644, bgo#509298, bgo#509301, bgo#509531,
    bgo#510505, bgo#510592, bgo#513628, bgo#514397, bgo#514573,
    bgo#514889, bgo#514965, bgo#515457, bgo#515562, bgo#515697,
    bgo#515701, bgo#515703, bgo#515704, bgo#515706, bgo#515905,
    bgo#515979, bgo#515980, bgo#515984, bgo#515985, bgo#516371,
    bgo#516524, bgo#517386, bgo#508291, bgo#447961, bgo#475784,
    bgo#478244, bgo#480707, bgo#502187, bgo#509329, and bgo#512544
- Remove gst-plugins-good-ac.diff.
* Wed Jan 23 2008 sbrabec@suse.cz
- Rename package according to shared library packaging policy
  (#223286).
- Created lang package.
- Added gst-plugins-good-0.10.6 incompatibility work-around.
* Tue Oct 16 2007 sbrabec@suse.cz
- Fixed typo and backslash expansion in previous change.
* Mon Oct 15 2007 sbrabec@suse.cz
- Worked around OBS spec file corruption bug (#332132).
* Fri Oct  5 2007 sbrabec@suse.cz
- Use less restrictive Requires based on the sources.
* Thu Aug  2 2007 sbrabec@suse.cz
- Use Enhances: gstreamer010 instead of Supplements (#294358).
* Wed Jun 20 2007 sbrabec@suse.cz
- Updated to version 0.10.6:
  * Much improved RTSP/RTP and V4l2 support
  * New plugins - audiopanorama, audioinvert, audiodynamic,
    audioamplify
  * qtdemux, videocrop and wavpack elements moved from Bad Plugins
  * Fixes in avi and matroska muxing
  * Fixes in wavparse, sunaudio, AVI demuxing, ID3 tag handling
  * gamma element ported to 0.10
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Many bugs fixed
* Wed May 30 2007 dmueller@suse.de
- remove redundant buildrequires
* Wed May 16 2007 sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
- Fixed invalid comparison.
* Sat May 12 2007 olh@suse.de
- remove unneded Buildrequires for libraw1394-devel
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Wed Apr 18 2007 sbrabec@suse.cz
- Build correctly in older products (flac, kernel headers).
* Fri Apr 13 2007 tiwai@suse.de
- fix build and support FLAC 1.1.4.
* Wed Apr 11 2007 sbrabec@suse.cz
- V4L2 source moved from Bad Plugins. Use Conflicts (#260445).
* Tue Mar 27 2007 sbrabec@suse.cz
- Updated to version 0.10.5:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * RTP/RTSP improvements
  * Fixes in OSS support
  * Addition of the audiopanorama element
  * Improvements in AVI playback
  * Annodex playback fixes
  * Support FLAC in OGG and Matroska
  * Fixes in the Speex decoder
  * V4L2 source moved from Bad Plugins
  * SMPTE element ported to 0.10
  * GStreamer Data Protocol (GDP) Payloader and Depayloader
    elements added
  * Many other bug-fixes
* Fri Dec 29 2006 sbrabec@suse.cz
- Fixed schemas installation.
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov  7 2006 abockover@suse.de
- Updated to version 0.10.4:
  * Scores of bug fixes
  * Firewires/1394 support needs libiec61883 now
  * Lots of id3demux fixes including image support
  * Added apev2mux element
  * Added HAL elements
  * Support push-based FLAC decoding
* Tue Jun 20 2006 sbrabec@suse.cz
- Updated to version 0.10.3:
  * Annodex/CMML support
  * RTSP and RTP enhancements
  * HAL configured audio device support
  * FLAC, Matroska, AVI, WAV, ID3, APE, DV and JPEG plugin
    improvements
  * Recognise SSA/ASS and USF subtitles in Matroska files
  * Fixes for ESD and SunAudio output plugins
  * More uniform plugin descriptions
  * IceCast metadata reading plugin added
  * New plugins ported from 0.8: OSX audio, AVI muxer, X-Windows
    input, WAV encoder, Gdk-Pixbuf image decoder, Smoke decoder,
    Video colour balance
  * Lots of bug fixes
* Wed May 31 2006 hpj@suse.de
- Added backported ID3v2 muxer element, required for Banshee
  tagging. Fixes part of Novell bug #132801.
* Mon Apr 10 2006 jpr@suse.de
- Move some more plugins to and extras package
* Fri Apr  7 2006 jpr@suse.de
- Split out oil dependant plugins
* Thu Feb 23 2006 jpr@suse.de
- update to 0.10.2
- Changes since 0.10.1:
  * New libcdio based CDDA reading element
  * APE tag reader ported
  * ID3 tag reading fixes
  * Sun Audio Sink fixes
  * GOOM and gconf element fixes
  * lots of bug and leak fixes
  Bugs fixed since 0.10.1:
  * 328336 : silence warings which make dvdec / dvdemux unusable
  * 315557 : Internal event problem with MP3s from vgmix.com
  * 323327 : [cdio] port cddasrc to 0.10
  * 325148 : Bugs in G711 RTP packetization logic
  * 325649 : apetag plugin needs porting to 0.10
  * 326446 : check that all elements in -good pass queries they can't ...
  * 326602 : id3demux is not compiling without ZLIB
  * 326683 : build problem caused by AS_LIBTOOL_TAGS([CXX])
  * 326736 : gconf(audio|video)sink response to key changes
  * 326864 : [wavparse] time to bytes format conversion broken
  * 327009 : [esdsink] won't compile with includes in non-standard prefix
  * 327765 : [sunaudio] fixes for mixer and stuttering mp3 playback
  * 327825 : [matroskamux]  Matroska muxer deadlock
  * 327871 : [videobox] crash when cropping
  * 328241 : id3demux emits NULL date for year tags
  * 328264 : Fix build with gcc 2.95
  * 328531 : [matroskamux] doesn't send newsegment event, critical war...
  * 329181 : totem crash when using goom effect
  * 329810 : Fails to read ID3 tag
  * 330005 : Please use the autodetect sinks by default
  * 317658 : [cdio] support for cd-text and cd-g
* Tue Feb 14 2006 sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 ro@suse.de
- avoid gstreamer installation (-gstreamer in nfb)
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.10.1.
* Fri Jan  6 2006 sbrabec@suse.cz
- Removed obsolete configure option.
* Wed Jan  4 2006 sbrabec@suse.cz
- New SuSE package, version 0.10.0.
- Worked around -export-symbols-regex libtool problems.
